'use server';

import Link from 'next/link';
import Image from 'next/image';

const Footer = () => {
  return (
    <footer className='w-full h-16 flex items-center justify-between border-t bg-background px-8 mt-auto'>
      <div className='flex items-center'>
        <Link
          href='https://git.gibbyb.com/gib/tech-tracker-next'
          className='text-sm font-semibold px-3 py-2 rounded-lg
						bg-gradient-to-tl from-[#35363F] to-[#24191A] hover:text-sky-200
						hover:bg-gradient-to-tr hover:from-[#35363F] hover:to-[#23242F]
						flex items-center gap-2 transition-all duration-200'
        >
          <Image src='/icons/gitea.svg' alt='Gitea' width={20} height={20} />
          <span>View Source Code on Gitea</span>
        </Link>
      </div>
      <div className='flex-1 flex justify-center'>
      				<div className='text-xs text-center space-y-1'>
      					<p>
      						<strong>Tech Tracker</strong> - Built for City of Gulfport IT Department
      					</p>
      					<p className='text-muted-foreground'>
      						Open Source • MIT Licensed • Self-Hosted • 
      						<a
      							href='https://supabase.com'
      							target='_blank'
      							className='hover:underline ml-1'
      							rel='noreferrer'
      						>
      							Powered by Supabase
      						</a>
      					</p>
      				</div>
      </div>
      <div className='w-[160px]'></div> {/* Spacer to balance the layout */}
    </footer>
  );
};
export default Footer;
